# Generated from adlint-postfilter-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name adlint-postfilter

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: An ad-hoc filtering wrapper for AdLint
License: GPLv3+: GNU General Public License version 3 or later
URL: http://adlint-goodies.sourceforge.net/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
An ad-hoc filtering wrapper for AdLint to suppress useless warning messages.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/adlint_flt
%license %{gem_instdir}/COPYING
%{gem_instdir}/INSTALL
%{gem_instdir}/MANIFEST
%{gem_instdir}/bin
%{gem_instdir}/etc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile

%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.0-1
- Initial package
